Passer au contenu principal
Interrogez cet endpoint pour vérifier le statut de votre tâche de génération de modèle 3D.
Si la réponse de création contient poll_url, privilégiez cette URL exacte pour le polling. id et task_id doivent être traités comme le même identifiant de tâche asynchrone.If the task no longer exists or can no longer be resolved through the public async-task contract, LemonData returns async_task_not_found with the message Task not found or no longer available.

Paramètres de chemin

id
string
requis
L’ID de la tâche de génération 3D.

Réponse

id
string
ID de la tâche.
task_id
string
Alias de l’identifiant de tâche asynchrone lorsqu’il est disponible.
status
string
Statut de la tâche : pending, processing, completed ou failed.
progress
integer
Pourcentage de progression (0-100).
model_url
string
URL pour télécharger le fichier du modèle 3D (une fois terminé).
glb_url
string
URL pour télécharger le modèle au format GLB (si disponible).
fbx_url
string
URL pour télécharger le modèle au format FBX (si disponible).
error
string
Message d’erreur (en cas d’échec).
curl "https://api.lemondata.cc/v1/tasks/ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "task_id": "ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "poll_url": "/v1/tasks/ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "status": "completed",
  "model_url": "https://cdn.tripo3d.ai/abc123.glb",
  "glb_url": "https://cdn.tripo3d.ai/abc123.glb",
  "fbx_url": "https://cdn.tripo3d.ai/abc123.fbx"
}